#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    connect(ui->pushButton, SIGNAL(clicked(bool)), this, SLOT(startCamera()));
}

MainWindow::~MainWindow()
{
    delete ui;
    delete cameraWindow;
}

void MainWindow::startCamera()
{
    cameraWindow = new CameraWindow();
    cameraWindow->show();
    connect(cameraWindow, SIGNAL(close()), this, SLOT(stopCamera()));
}

void MainWindow::stopCamera()
{
    delete cameraWindow;
}
