#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "camerawindow.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    private:
        Ui::MainWindow *ui;
        CameraWindow *cameraWindow;
    public:
        explicit MainWindow(QWidget *parent = 0);
        ~MainWindow();
    public slots:
        void startCamera();
        void stopCamera();
};

#endif // MAINWINDOW_H
