#ifndef CAMERASURFACE_H
#define CAMERASURFACE_H

#include <QAbstractVideoSurface>

class CameraSurface : public QAbstractVideoSurface
{
    Q_OBJECT
    public:
        explicit CameraSurface(QObject *parent = 0) : QAbstractVideoSurface(parent){}
        //~CameraSurface();
        QList<QVideoFrame::PixelFormat> supportedPixelFormats(QAbstractVideoBuffer::HandleType handleType) const;
        bool present(const QVideoFrame &frame);

    signals:
        void novoFrame(QByteArray &buf, int w, int h);
};

#endif // CAMERASURFACE_H
